" Enable all mouse features
set mouse=a

" Don't show completeopt preview buffer
set completeopt-=preview

" Set window title to titlestring
set title

" Show relative line numbers & current line number
set number

" Keep cursor from buffer edges
set scrolloff=8

" Turn backup off
set nobackup nowritebackup noswapfile

" Wrap to whole words
set wrap linebreak nolist

" Don't add 2 spaces after end of sentence
set nojoinspaces

" Use Unix as standard file type
set fileformats=unix,dos,mac

" Allow : in filenames to allow gf to specify line numbers
set isfname-=:

" Highlight search matches & show search matches while typing
set hlsearch

" Set ignore search case unless mixed
set ignorecase smartcase

" Allow buffers with changes to be hidden
set hidden

" Open new splits on the other side of the axis
set splitbelow splitright

" Indicates a fast terminal connection
set ttyfast

" Set syntax as default fold method
set foldmethod=syntax foldlevel=20

" Automatically write changes to files
set autowrite

" Format text
"   r - insert comment leader on 'o' and 'O'
"   q - allow formatting with 'gq'
set formatoptions+=rq

" Enable modeline
set modeline

" Don't redraw during execution macros, registers, commands, etc.
set lazyredraw
